Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.expression
Class ConstantExpression

    java.lang.Object
      org.apache.commons.jelly.expression.ExpressionSupport
          org.apache.commons.jelly.expression.ConstantExpression

All Implemented Interfaces:
  Expression

    public class ConstantExpression

extends ExpressionSupport

`ConstantExpression` represents a constant expression.

In other words, `evaluate(org.apache.commons.jelly.JellyContext)` returns a value independent of the context.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`EMPTY_ITERATOR`

Constructor Summary
`ConstantExpression()` Base constructor
`ConstantExpression(java.lang.Object value)` Convenience constructor sets `value` property.

Method Summary
`java.lang.Object` | `evaluate(JellyContext context)` Evaluate expression against given context.
`java.lang.String` | `getExpressionText()`
`java.lang.Object` | `getValue()` Gets the constant value of this expression
`void` | `setValue(java.lang.Object value)` Sets the constant value of this expression
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`evaluateAsBoolean, evaluateAsIterator, evaluateAsString, evaluateRecurse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantExpression

    public ConstantExpression()

  Base constructor

### ConstantExpression

    public ConstantExpression(java.lang.Object value)

  Convenience constructor sets `value` property.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getExpressionText

    public java.lang.String getExpressionText()

  Returns:
    the textual representation of this expression

### evaluate

    public java.lang.Object evaluate(JellyContext context)

  Evaluate expression against given context.

  Parameters:
    `context` - evaluate expression against this context
  Returns:
    current value of `value` property

### getValue

    public java.lang.Object getValue()

  Gets the constant value of this expression

### setValue

    public void setValue(java.lang.Object value)

  Sets the constant value of this expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.